$('section')
	.last()
	.after('<section id="listingsDirectory"></section>');
	
var listingsDirectory = $('#listingsDirectory')
listingsDirectory.append('<p><b>LISTINGS DIRECTORY</b></p>');
listingsDirectory.append('<ul>');
var list = listingsDirectory.children('ul:first');

var listingNumbering = 1;

$.each($('pre'), function()
{
	$this = $(this);
	var uuid = createUUID();
	$this.attr('id', uuid);
	var entrieText = createEntrieText(listingNumbering, $this);
	addEntrie(uuid, entrieText);
	addTextToFigure($this, entrieText);
	
});

function createEntrieText(figureNumbering, listing)
{
	return 'Listing ' + listingNumbering++;
}

function addEntrie(uuid, linkText)
{
	list.append('<li>');
	var newListElement = list.children('li:last');
	newListElement
		.append('<a class="listingXRef" href="#' + uuid + '">' + linkText + '</a>');
}

function addTextToFigure(listing, text)
{
	listing.wrap('<div class="listing">');
	listing.before('<p>' + text + '</p>');
}